﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 5032B: (1 year) CAL VER IEEE /5800+5Ch
DATE:                  2009-06-30 11:15:15
AUTHOR:                Fluke
REVISION:              $Revision: 1.8 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       265
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds5032b_5052b_1yr_ver_ieee_5800_5ch.txt,v $
#    $Date: 2009/06/30 18:11:42 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#@
#@ Models covered:
#@       TDS 5032B, TDS 5052B
#@
#@ Source(s):
#@       TDS5000B Series Digital Phosphor Oscilloscopes
#@       Specification and Performance Verification Manual, PN 071-1420-01
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub UUT Connection GPIB
#        Sub Tek TDS5000B Set Bandwidth & Num_Chan
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Self-Test IEEE
#        Sub Tek TDS5000B Sig Path Comp Cal IEEE
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#        Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800
#        Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5800
#        Sub Tek TDS5000B (1 yr) Channel Delay IEEE /5800
#        Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5800
#        Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5800
#        Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800
#        Sub Tek TDS5000B (1 yr) Trig Sens IEEE /5800
#        Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /5800
#        Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5800
#
# Required Files:
#        None
#
#@ Additional Equipment Required:
#@       2 Way Power Splitter
#@       BNC T(f-m-f) adapter
#@       Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#@       SMA T(f-m-f) adapter
#@       Cable, 50 Ohm, SMA(m)-(m)
#@       3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#@       2 sets SMA Short
#@       Probe 1X or 10X, such as Tektronix P5050, P6243, or P6245
#@
# The procedure was tested using:
#        Model No  :  TDS5032B
#        Serial No :  B020452
#        Options   :
#        Firmware  :  CF:91.1CT FV:2.0.11
#
# Average run time during testing :  25 min (include optional test)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C2
  1.003  5800         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.010  DISP         later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         PRELIMINARY INSTRUCTIONS
  1.019  TARGET
  1.020  CALL         Sub Tek TDS5000B Setup IEEE
  1.021  IEEE2        *RST

  1.022  HEAD         UUT IDENTIFICATION
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  IF           PSUB("5032B")
  1.025  MATH         Model = "TDS5032B"
  1.026  ELSEIF       PSUB("5052B")
  1.027  MATH         Model = "TDS5052B"
  1.028  ELSE
  1.029  MATH         Model = "unsupported model"
  1.030  ENDIF

  1.031  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.032  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.033  IF           NOT(L[1] && L[2])
  1.034  DISP         UUT is an [V @Manufacturer] [V @ModelNum],
  1.034  DISP         not a Tektronix [V Model]!
  1.035  END
  1.036  ENDIF

  1.037  HEAD         EQUIPMENT REQUIREMENTS
  1.038  DISP         The following additional equipment and/or
  1.038  DISP         accessories are required:
  1.038  DISP
  1.038  DISP         - 2 Way Power Splitter
  1.038  DISP         - BNC T(f-m-f) adapter
  1.038  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.038  DISP         - SMA T(f-m-f) adapter
  1.038  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.038  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.038  DISP         - 2 sets SMA Short
  1.038  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    6.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    7.   CHANNEL DELAY                      CHANNEL ISOLATION(CH1 IN)
#    8.   CHANNEL ISOLATION(CH1 IN)          CHANNEL ISOLATION(CH2 IN)
#    9.   CHANNEL ISOLATION(CH2 IN)          SAMPLE RATE AND DELAY TIME ACC
#   10.   SAMPLE RATE AND DELAY TIME ACC     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   11.   DELTA TIME MEASUREMENT ACC(CH1)    EDGE-TRIGGER SENSITIVITY(CH1)
#   12.   DELTA TIME MEASUREMENT ACC(CH2)    DELTA TIME MEASUREMENT ACC(CH1)
#   13.   TIME ACC OF PULSE WIDTH TRIG(CH1)  DELTA TIME MEASUREMENT ACC(CH2)
#   14.   EDGE-TRIGGER SENSITIVITY(CH1)      CHANNEL DELAY
#   15.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.039  CALL         Sub Tek TDS5000B Set Bandwidth & Num_Chan
  1.040  CALL         Sub Tek TDS5000B Self-Test IEEE
  1.041  JMPL         END                          @Abort

  1.042  IF           ZCMPI(@ModelNum, "TDS5032B")
  1.043  MATH         @SPCTime = 220
  1.044  ELSE
  1.045  MATH         @SPCTime = 400
  1.046  ENDIF

  1.047  CALL         Sub Tek TDS5000B Sig Path Comp Cal IEEE
  1.048  JMPL         END                          @Abort

  1.049  DISP         Connect the 58x0A to the UUT as follows:
  1.049  DISP         [32] 58xxA CHAN 1 to UUT CH 1
  1.049  DISP         [32] 58xxA CHAN 2 to UUT CH 2

  1.050  MATH         @Chan = 1
  1.051  M5800                                                    C1
  1.052  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.053  MATH         @Chan = 2
  1.054  M5800                                                    C2
  1.055  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.056  MATH         @Chan = 1
  1.057  M5800                                                    C1
  1.058  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5800
  1.059  JMPL         CHANNELS_ISOLATION_CH1

  1.060  LABEL        CHANNEL_DELAY
  1.061  MATH         @Chan = 1
  1.062  M5800                                                    C1
  1.063  CALL         Sub Tek TDS5000B (1 yr) Channel Delay IEEE /5800
  1.064  JMPL         PROBE_COMPENSATION_OUT

  1.065  LABEL        CHANNELS_ISOLATION_CH1
  1.066  MATH         @Chan = 1
  1.067  M5800                                                    C1
  1.068  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5800

  1.069  MATH         @Chan = 2
  1.070  M5800                                                    C2
  1.071  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5800

  1.072  MATH         @Chan = 1
  1.073  M5800                                                    C1
  1.074  CALL         Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5800
  1.075  JMPL         TRIG_CH1

  1.076  LABEL        DELTA_TIME_CH1
  1.077  MATH         @Chan = 1
  1.078  M5800                                                    C1
  1.079  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800

  1.080  MATH         @Chan = 2
  1.081  M5800                                                    C1
  1.082  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800
  1.083  JMPL         CHANNEL_DELAY

  1.084  LABEL        TRIG_CH1
  1.085  MATH         @Chan = 1
  1.086  M5800                                                    C1
  1.087  CALL         Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /5800
  1.088  CALL         Sub Tek TDS5000B (1 yr) Trig Sens IEEE /5800
  1.089  JMPL         DELTA_TIME_CH1

  1.090  LABEL        PROBE_COMPENSATION_OUT
  1.091  MATH         @Chan = 1
  1.092  M5800                                                    C1
  1.093  CALL         Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5800

  1.094  LABEL        END
  1.095  IEEE2        *RST
  1.096  HEAD
  1.097  RSLT         =

  1.098  IF           @Abort
  1.099  DISP         {V E R I F I C A T I O N   A B O R T E D !}
  1.100  ELSE
  1.101  DISP         {V E R I F I C A T I O N   C O M P L E T E !}
  1.102  ENDIF

  1.103  END
